Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.ejb
Class StatelessSessionHomeInterceptor

    java.lang.Object
      org.jboss.proxy.Interceptor
          org.jboss.proxy.ejb.GenericEJBInterceptor
              org.jboss.proxy.ejb.HomeInterceptor
                  org.jboss.proxy.ejb.StatelessSessionHomeInterceptor

All Implemented Interfaces:
  Externalizable, Serializable

public class StatelessSessionHomeInterceptor
extends HomeInterceptor

The client-side proxy for a stateless session Home object, that caches the stateless session interface

Version:
  $Revision: 1.2 $
Author:
  Adrian Brock
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.proxy.ejb.HomeInterceptor
`EMPTY_ARGS, GET_EJB_META_DATA, GET_HOME_HANDLE, REMOVE_BY_HANDLE, REMOVE_BY_PRIMARY_KEY, REMOVE_OBJECT`

Fields inherited from class org.jboss.proxy.ejb.GenericEJBInterceptor
`EQUALS, GET_EJB_HOME, GET_HANDLE, GET_PRIMARY_KEY, HASH_CODE, IS_IDENTICAL, TO_STRING`

Fields inherited from class org.jboss.proxy.Interceptor
`nextInterceptor`

Constructor Summary
`StatelessSessionHomeInterceptor()` No-argument constructor for externalization.

Method Summary
`Object` | `invoke(Invocation invocation)` InvocationHandler implementation.

Methods inherited from class org.jboss.proxy.ejb.GenericEJBInterceptor
`getEJBHome`

Methods inherited from class org.jboss.proxy.Interceptor
`getNext, readExternal, setNext, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Externalizable
`readExternal, writeExternal`

Constructor Detail

### StatelessSessionHomeInterceptor

    public StatelessSessionHomeInterceptor()

  No-argument constructor for externalization.

Method Detail

### invoke

    public Object invoke(Invocation invocation)
                  throws Throwable

  Description copied from class: `HomeInterceptor`
  InvocationHandler implementation.

  Overrides:
    `invoke` in class `HomeInterceptor`
  Throws:
    `Throwable` - Any exception or error thrown while processing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.